# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
# pylint: disable=wrong-import-position

from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from ._patch import *  # pylint: disable=unused-wildcard-import


from ._models_py3 import (  # type: ignore
    AccountCredentialDetails,
    AdditionalErrorInfo,
    AddressValidationOutput,
    AddressValidationProperties,
    ApiError,
    ApplianceNetworkConfiguration,
    ArmBaseObject,
    AvailableSkuRequest,
    AvailableSkusResult,
    AzureFileFilterDetails,
    BlobFilterDetails,
    CancellationReason,
    CloudError,
    ContactDetails,
    ContactInfo,
    CopyLogDetails,
    CopyProgress,
    CreateJobValidations,
    CreateOrderLimitForSubscriptionValidationRequest,
    CreateOrderLimitForSubscriptionValidationResponseProperties,
    CustomerDiskJobSecrets,
    DataAccountDetails,
    DataBoxAccountCopyLogDetails,
    DataBoxCustomerDiskCopyLogDetails,
    DataBoxCustomerDiskCopyProgress,
    DataBoxCustomerDiskJobDetails,
    DataBoxDiskCopyLogDetails,
    DataBoxDiskCopyProgress,
    DataBoxDiskGranularCopyLogDetails,
    DataBoxDiskGranularCopyProgress,
    DataBoxDiskJobDetails,
    DataBoxDiskJobSecrets,
    DataBoxHeavyAccountCopyLogDetails,
    DataBoxHeavyJobDetails,
    DataBoxHeavyJobSecrets,
    DataBoxHeavySecret,
    DataBoxJobDetails,
    DataBoxScheduleAvailabilityRequest,
    DataBoxSecret,
    DataExportDetails,
    DataImportDetails,
    DataLocationToServiceLocationMap,
    DataTransferDetailsValidationRequest,
    DataTransferDetailsValidationResponseProperties,
    DataboxJobSecrets,
    DatacenterAddressInstructionResponse,
    DatacenterAddressLocationResponse,
    DatacenterAddressRequest,
    DatacenterAddressResponse,
    DcAccessSecurityCode,
    Details,
    DeviceCapabilityDetails,
    DeviceCapabilityRequest,
    DeviceCapabilityResponse,
    DeviceErasureDetails,
    DiskScheduleAvailabilityRequest,
    DiskSecret,
    EncryptionPreferences,
    ErrorDetail,
    ExportDiskDetails,
    FilterFileDetails,
    GranularCopyLogDetails,
    GranularCopyProgress,
    HeavyScheduleAvailabilityRequest,
    IdentityProperties,
    ImportDiskDetails,
    JobDelayDetails,
    JobDeliveryInfo,
    JobDetails,
    JobResource,
    JobResourceList,
    JobResourceUpdateParameter,
    JobSecrets,
    JobStages,
    KeyEncryptionKey,
    LastMitigationActionOnJob,
    ManagedDiskDetails,
    MarkDevicesShippedRequest,
    MitigateJobRequest,
    NotificationPreference,
    Operation,
    OperationDisplay,
    OperationList,
    PackageCarrierDetails,
    PackageCarrierInfo,
    PackageShippingDetails,
    Preferences,
    PreferencesValidationRequest,
    PreferencesValidationResponseProperties,
    RegionConfigurationRequest,
    RegionConfigurationResponse,
    Resource,
    ResourceIdentity,
    ReverseShippingDetails,
    ScheduleAvailabilityRequest,
    ScheduleAvailabilityResponse,
    ShareCredentialDetails,
    ShipmentPickUpRequest,
    ShipmentPickUpResponse,
    ShippingAddress,
    Sku,
    SkuAvailabilityValidationRequest,
    SkuAvailabilityValidationResponseProperties,
    SkuCapacity,
    SkuCost,
    SkuInformation,
    StorageAccountDetails,
    SubscriptionIsAllowedToCreateJobValidationRequest,
    SubscriptionIsAllowedToCreateJobValidationResponseProperties,
    SystemData,
    TransferAllDetails,
    TransferConfiguration,
    TransferConfigurationTransferAllDetails,
    TransferConfigurationTransferFilterDetails,
    TransferFilterDetails,
    TransportAvailabilityDetails,
    TransportAvailabilityRequest,
    TransportAvailabilityResponse,
    TransportPreferences,
    UnencryptedCredentials,
    UnencryptedCredentialsList,
    UpdateJobDetails,
    UserAssignedIdentity,
    UserAssignedProperties,
    ValidateAddress,
    ValidationInputRequest,
    ValidationInputResponse,
    ValidationRequest,
    ValidationResponse,
)

from ._data_box_management_client_enums import (  # type: ignore
    AccessProtocol,
    AddressType,
    AddressValidationStatus,
    ClassDiscriminator,
    CopyStatus,
    CustomerResolutionCode,
    DataAccountType,
    DataCenterCode,
    DatacenterAddressType,
    DelayNotificationStatus,
    DoubleEncryption,
    FilterFileType,
    HardwareEncryption,
    JobDeliveryType,
    KekType,
    LogCollectionLevel,
    ModelName,
    NotificationStageName,
    OverallValidationStatus,
    PortalDelayErrorCode,
    ReverseShippingDetailsEditStatus,
    ReverseTransportPreferenceEditStatus,
    ShareDestinationFormatType,
    SkuDisabledReason,
    SkuName,
    StageName,
    StageStatus,
    TransferConfigurationType,
    TransferType,
    TransportShipmentTypes,
    ValidationInputDiscriminator,
    ValidationStatus,
)
from ._patch import __all__ as _patch_all
from ._patch import *
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "AccountCredentialDetails",
    "AdditionalErrorInfo",
    "AddressValidationOutput",
    "AddressValidationProperties",
    "ApiError",
    "ApplianceNetworkConfiguration",
    "ArmBaseObject",
    "AvailableSkuRequest",
    "AvailableSkusResult",
    "AzureFileFilterDetails",
    "BlobFilterDetails",
    "CancellationReason",
    "CloudError",
    "ContactDetails",
    "ContactInfo",
    "CopyLogDetails",
    "CopyProgress",
    "CreateJobValidations",
    "CreateOrderLimitForSubscriptionValidationRequest",
    "CreateOrderLimitForSubscriptionValidationResponseProperties",
    "CustomerDiskJobSecrets",
    "DataAccountDetails",
    "DataBoxAccountCopyLogDetails",
    "DataBoxCustomerDiskCopyLogDetails",
    "DataBoxCustomerDiskCopyProgress",
    "DataBoxCustomerDiskJobDetails",
    "DataBoxDiskCopyLogDetails",
    "DataBoxDiskCopyProgress",
    "DataBoxDiskGranularCopyLogDetails",
    "DataBoxDiskGranularCopyProgress",
    "DataBoxDiskJobDetails",
    "DataBoxDiskJobSecrets",
    "DataBoxHeavyAccountCopyLogDetails",
    "DataBoxHeavyJobDetails",
    "DataBoxHeavyJobSecrets",
    "DataBoxHeavySecret",
    "DataBoxJobDetails",
    "DataBoxScheduleAvailabilityRequest",
    "DataBoxSecret",
    "DataExportDetails",
    "DataImportDetails",
    "DataLocationToServiceLocationMap",
    "DataTransferDetailsValidationRequest",
    "DataTransferDetailsValidationResponseProperties",
    "DataboxJobSecrets",
    "DatacenterAddressInstructionResponse",
    "DatacenterAddressLocationResponse",
    "DatacenterAddressRequest",
    "DatacenterAddressResponse",
    "DcAccessSecurityCode",
    "Details",
    "DeviceCapabilityDetails",
    "DeviceCapabilityRequest",
    "DeviceCapabilityResponse",
    "DeviceErasureDetails",
    "DiskScheduleAvailabilityRequest",
    "DiskSecret",
    "EncryptionPreferences",
    "ErrorDetail",
    "ExportDiskDetails",
    "FilterFileDetails",
    "GranularCopyLogDetails",
    "GranularCopyProgress",
    "HeavyScheduleAvailabilityRequest",
    "IdentityProperties",
    "ImportDiskDetails",
    "JobDelayDetails",
    "JobDeliveryInfo",
    "JobDetails",
    "JobResource",
    "JobResourceList",
    "JobResourceUpdateParameter",
    "JobSecrets",
    "JobStages",
    "KeyEncryptionKey",
    "LastMitigationActionOnJob",
    "ManagedDiskDetails",
    "MarkDevicesShippedRequest",
    "MitigateJobRequest",
    "NotificationPreference",
    "Operation",
    "OperationDisplay",
    "OperationList",
    "PackageCarrierDetails",
    "PackageCarrierInfo",
    "PackageShippingDetails",
    "Preferences",
    "PreferencesValidationRequest",
    "PreferencesValidationResponseProperties",
    "RegionConfigurationRequest",
    "RegionConfigurationResponse",
    "Resource",
    "ResourceIdentity",
    "ReverseShippingDetails",
    "ScheduleAvailabilityRequest",
    "ScheduleAvailabilityResponse",
    "ShareCredentialDetails",
    "ShipmentPickUpRequest",
    "ShipmentPickUpResponse",
    "ShippingAddress",
    "Sku",
    "SkuAvailabilityValidationRequest",
    "SkuAvailabilityValidationResponseProperties",
    "SkuCapacity",
    "SkuCost",
    "SkuInformation",
    "StorageAccountDetails",
    "SubscriptionIsAllowedToCreateJobValidationRequest",
    "SubscriptionIsAllowedToCreateJobValidationResponseProperties",
    "SystemData",
    "TransferAllDetails",
    "TransferConfiguration",
    "TransferConfigurationTransferAllDetails",
    "TransferConfigurationTransferFilterDetails",
    "TransferFilterDetails",
    "TransportAvailabilityDetails",
    "TransportAvailabilityRequest",
    "TransportAvailabilityResponse",
    "TransportPreferences",
    "UnencryptedCredentials",
    "UnencryptedCredentialsList",
    "UpdateJobDetails",
    "UserAssignedIdentity",
    "UserAssignedProperties",
    "ValidateAddress",
    "ValidationInputRequest",
    "ValidationInputResponse",
    "ValidationRequest",
    "ValidationResponse",
    "AccessProtocol",
    "AddressType",
    "AddressValidationStatus",
    "ClassDiscriminator",
    "CopyStatus",
    "CustomerResolutionCode",
    "DataAccountType",
    "DataCenterCode",
    "DatacenterAddressType",
    "DelayNotificationStatus",
    "DoubleEncryption",
    "FilterFileType",
    "HardwareEncryption",
    "JobDeliveryType",
    "KekType",
    "LogCollectionLevel",
    "ModelName",
    "NotificationStageName",
    "OverallValidationStatus",
    "PortalDelayErrorCode",
    "ReverseShippingDetailsEditStatus",
    "ReverseTransportPreferenceEditStatus",
    "ShareDestinationFormatType",
    "SkuDisabledReason",
    "SkuName",
    "StageName",
    "StageStatus",
    "TransferConfigurationType",
    "TransferType",
    "TransportShipmentTypes",
    "ValidationInputDiscriminator",
    "ValidationStatus",
]
__all__.extend([p for p in _patch_all if p not in __all__])  # pyright: ignore
_patch_sdk()
